(defun html () 
  (page "natalie info" `((section () 
                                  (h1 () "what is a \"natalie\"?")
                                  (span () 
                                        "it is <a href='/html/natalie-sightings.html'>natalie</a>."
                                        ,(exec-command "make-footnote 'the natalie is provided \"as is\", without warranty of any kind, express or implied, including but not limited to the warranties of merchantability, fitness for a particular purpose, title and non-infringement. in no event shall the copyright holders or anyone distributing the natalie be liable for any damages or other liability, whether in contract, tort or otherwise, arising from, out of or in connection with the natalie or the use or other dealings in the natalie.'")
                                        "obviously.")
                                  (p () 
                                     "words are not a thing it is good at. this is exacerbaited when the words are about itself. "
                                     "despite this, it shall attempt a suitable description of itself.")
                                  (br)
                                  (p ()
                                  "ideally, natalie is to be referred to as an \"it\" or a \"she\".",(exec-command "make-footnote \" the former is preferred.\"") "additionally, it generally prefers being referred to using 3rd person pronouns, or as \"this thing\" or \"that one\"." 
                                  "natalie also uses the following identifiers, generally:"
                                  (ol ()
                                      (li () "6e6174b8-4dcb-4323-b5ca-c217425e13a7")
                                      (li () "0x6e6174")
                                      (li () "nat")
                                      (li () "▖▖▖▖▘▖▖▖▖▘▌▖▖▖▘"))
                                  "it supposes it may reasonably be described as asexual. " (br)
                                  "timezone it is in: PST/PDT(?) UTC-8" (br)
                                  "age: $[echo $(( $(date +%s) - $(date -d \"2007-04-01\" +%s) ))] seconds. that is $[echo \"scale=8; ($(date +%s) - $(date -d '2007-04-01' +%s)) / (365.25*24*3600)\" | bc] [earth] years." (br)
                                  "it is kind of a college student. this is complicated. it will be a college student with less complicated circumstances by fall of 2025, barring unforseen circumstances." (br)
                                  "natalie likes systems. particularly ones that have reasonably consistent behavior based on a set of rules. this is omnipresent in its interests." (br)
                                  "list of its interests (incomplete):" 
                                  (ul () 
                                      (li () "technical computer things, so long as they do not involve javascript")
                                      (li () "infrastructure, particularly pertaining to trains")
                                      (li () "languistics, especially conlangs")
                                      (li () "key making and lock picking")
                                      (li () "math"))
                                  "things that it enjoys:" 
                                  (ul () 
                                      (li () "friends")
                                      (li () "going on long walks")
                                      (li () "utilizing public transportation")
                                      (li () "train tracks"))
                                  "things that it finds displeasing:"
                                  (ul () 
                                      (li () "grease or oil on its skin")
                                      (li () "non friend people",(exec-command "make-footnote 'robots are ok, though'")) 
                                      (li () "ultraviolet radiation")
                                      (li () "busywork")))
                                  ,(exec-command "put-footnotes"))
                         (section ()
                                  (h2 () "technical specifications")
                                  (h3 () "environmental conditions")
                                  "natalie is not to be operated for significant periods of time in temperatures below -5c or above 35c. "
                                  "for optimal functionality, natalie should be operated between 5c and 17c."
                                  (br)(br)
                                  (span () 
                                        "natalie is rated for use in atmospheres containing at least 20% oxygen. "
                                        "non-oxygen components of any atmosphere natalie is operating within should be primarily (~78%) nitrogen, with the remaining components being a mixture of other inert gasses, CO<sub>2</sub>, and methane. "
                                        "CO<sub>2</sub> concentrations in natalie's environment should not exceed 5000ppm, in accordance with OSHA. "
                                        "natalie is rated to operate within atmospheric pressures ranging from 70 kpa to 253 kpa. "
                                        "natalie is not rated for acceleration exceeding 4gs. conversely, it should not be operated in low gravity environments for long periods of time.")
                                  (h3 () "anthropromorphic measurements")
                                  (div (:style "display: grid; grid-template-columns: 1fr 1fr")
                                       (div () "height:")
                                       (div () "172.72cm")
                                       (div () "bideltoid:")
                                       (div () "41.30cm")
                                       (div () "shoulder circumference:")
                                       (div () "92.44cm")
                                       (div () "waist circumference:")
                                       (div () "54.15cm - 61.69cm")
                                       (div () "hip circumference")
                                       (div () "88.39cm")
                                       (div () "underbust circumference:")
                                       (div () "66.31cm")
                                       (div () "bust circumference:")
                                       (div () "75.86cm")
                                       (div () "inseam:")
                                       (div () "79.45cm"))
                                  (h3 () "favorite color")
                                  "teal")
                         (section ()
                                  (h2 () "somewhat irregular natalie facts")
                                  (ul () 
                                      (li () "it owns 12 thinkpads, all of which were manufactured prior to 2014")
                                      (li () "the number of people that can effectively use its computer is, to its knowledge, 1 (natalie)" ,(exec-command "make-footnote \"the number of entities it knows who can type on it is 3, including itself\""))
                                      (li () "it can replace the screen on its first generation iphone se a1662 in 70 seconds"))
                                  ,(exec-command "put-footnotes"))
                         (section () 
                                  (h2 () "contact information")
                                  (a (:href "/html/discord.html") "discord: 0x6e6174")
                                  "E-mail: natalie at natalieee.net" (br) 
                                  "xmpp: nat@natalieee.net" (br)
                                  (span () "mastodon: <a href='https://mastodon.catgirl.cloud/@0x6e6174'>@0x6e6174@mastodon.catgirl.cloud</a>"))
                         (section () 
                                  (h2 () "cryptography")
                                  (blockquote () "ssh:" (br) "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIOs2VLWgMxmQlLFSpOG01v6i5pVLtgHyQg74nwNNYTlT natalie@natalieee.net")
                                  (blockquote () "pgp:" (br) (pre () "-----BEGIN PGP PUBLIC KEY BLOCK-----

mDMEZyF+dhYJKwYBBAHaRw8BAQdAuh3EVhqODqs4DQasm/jUILG+4cNj0Q3Gb8SI
TEhqNNu0PW5hdGFsaWUgcm9lbnRnZW4gY29ubm9sbHkgKGJlZXAgYm9vcCkgPG5h
dGFsaWVAbmF0YWxpZWVlLm5ldD6ImQQTFgoAQRYhBJo0/NsX3ToM9ZBiC6HD1we8
+QjlBQJnIX52AhsDBQkDwmcABQsJCAcCAiICBhUKCQgLAgQWAgMBAh4HAheAAAoJ
EKHD1we8+Qjl0VYBAKrJtKM2bJj6hsU+kTt8HXxDNdCY37eSL6GxzQ4fGBqJAP9N
uysVDyyFVL7HOkUa3XbNFkxgSNNfDSXnyXG1/JnZDrg4BGchfnYSCisGAQQBl1UB
BQEBB0CebBBPcowxbCbOIAM9aJAe2kHbNZ4bIxZT7klRjf0+WgMBCAeIfgQYFgoA
JhYhBJo0/NsX3ToM9ZBiC6HD1we8+QjlBQJnIX52AhsMBQkDwmcAAAoJEKHD1we8
+QjldDoBAIj3f2uA6AWu08lWSBkEDKrzKMduShD/Pv8jvDyznHvHAP0VskOMQSFg
9MBrwZ+7azZzgnCs2FSiZvHJW7HTo4v9Bw==
=TuHi
-----END PGP PUBLIC KEY BLOCK-----"))
                                (blockquote () "age:" (br) "age1yf3qaerdtzhxkhwxrzat9jp5e4ru97cqp5hl2xtwt2g8fn5zmpqsnxr7pn"))
                         (section () 
                                  (h2 () "some of its computers")
                                  (p () "it owns many computers, none of them are normal. particularly notable instances of this phenomenon will be noted below:")
                                  (ul () 
                                      (li () ,(exec-command "make-link /html/its-laptop.html 'its framework 16'")
                                      (li () ,(exec-command "make-link /html/its-old-laptop.html 'its old {w,t}530'"))
                                      (li () ,(exec-command "make-link /html/server-migration.html 'the server this site runs on'"))))))))
